<?php

switch($_REQUEST['phase']) {
    case 'login':
        session_start();
        //Ключ доступа
        $api_key = htmlspecialchars($_GET['api_key']);
        // Создаём GET-запрос
        $api_url = 'http://api.smartresponder.ru/account.html?action=info&format=json&api_key='.$api_key;
        // Делаем запрос на API-сервер
        $result  = file_get_contents($api_url);
        $obj = json_decode($result);
        if($obj->result == '1') {
            // Создаём GET-запрос
            $deliveries_url = 'http://api.smartresponder.ru/deliveries.html?action=list&format=json&api_key='.$api_key;
            // Делаем запрос на API-сервер
            $deliveries_result  = file_get_contents($deliveries_url);
            $deliveries_obj = json_decode($deliveries_result);
            $deliveries_elements = $deliveries_obj->list->count;
            if($deliveries_elements == '0') {
                echo json_encode('error_d');
            }
            else {
                $_SESSION['login'] = $obj->login;
                $_SESSION['api_key'] = $api_key;
                echo $result;
            }
        }
        else {
            echo json_encode('error_u');    
        }
    break;
    case 'logout':
        session_start();
        unset($_SESSION['login']);
        unset($_SESSION['api_key']);
        session_destroy();
    break;
    case 'authentication':
        session_start();
        if(isset($_SESSION['login']) && isset($_SESSION['api_key'])) {
            // Создаём GET-запрос
            $api_url = 'http://api.smartresponder.ru/account.html?action=info&format=json&api_key='.$_SESSION['api_key'];
            // Делаем запрос на API-сервер
            $result  = file_get_contents($api_url);

            echo $result;
        }
    break;
    case 'get_api_key':
        session_start();
        if(isset($_SESSION['api_key'])) {
            echo json_encode($_SESSION['api_key']);
        }
        else {
            echo json_encode('no');
        }
    break;
    case 'get_author_id':
        //Ключ доступа
        $api_key = htmlspecialchars($_GET['api_key']);
        // Создаём GET-запрос
        $api_url = 'http://api.smartresponder.ru/account.html?format=json&action=info&fields=id&api_key='.$api_key;
        // Делаем запрос на API-сервер
        $result  = file_get_contents($api_url);

        echo $result;    
    break;
    case 'get_deliveries':
        //Ключ доступа
        $api_key = htmlspecialchars($_GET['api_key']);
        // Создаём GET-запрос
        $api_url   = 'http://api.smartresponder.ru/deliveries.html?format=json&action=list&api_key='.$api_key;
        // Делаем запрос на API-сервер
        $result  = file_get_contents($api_url);

        echo $result;    
    break;
    case 'get_tracks':
        //Ключ доступа
        $api_key = htmlspecialchars($_GET['api_key']);
        // Создаём GET-запрос
        $api_url   = 'http://api.smartresponder.ru/tracks.html?format=json&action=list&fields=id,title,code&sortorder=date_created&api_key='.$api_key;
        // Делаем запрос на API-сервер
        $result  = file_get_contents($api_url);

        echo $result; 
    break;
    case 'get_groups':
        //Ключ доступа
        $api_key = htmlspecialchars($_GET['api_key']);
        // Создаём GET-запрос
        $api_url   = 'http://api.smartresponder.ru/groups.html?format=json&fields=id,title&action=list&api_key='.$api_key;
        // Делаем запрос на API-сервер
        $result  = file_get_contents($api_url);

        echo $result;     
    break;
    case 'get_statistics_data':
        define('_JEXEC', 1);
        define('JPATH_BASE', dirname(__FILE__) . '/../../..' );
        define('DS', DIRECTORY_SEPARATOR);
        require_once(JPATH_BASE.DS.'includes'.DS.'defines.php');
        require_once(JPATH_BASE.DS.'includes'.DS.'framework.php');
        JFactory::getApplication('site')->initialise();
        $db = JFactory::getDBO();
        $query = "SELECT user_id,import_date,import_users_count, ticket_id FROM sr_import GROUP BY import_date";
        $db->setQuery($query);
        $column = $db->loadRowList();
        echo json_encode($column);
    break;
    case 'get_users':
        define('_JEXEC', 1);
        define('JPATH_BASE', dirname(__FILE__) . '/../../..' );
        define('DS', DIRECTORY_SEPARATOR);
        require_once(JPATH_BASE.DS.'includes'.DS.'defines.php');
        require_once(JPATH_BASE.DS.'includes'.DS.'framework.php');
        JFactory::getApplication('site')->initialise();
        $db = JFactory::getDBO();
        if(isset($_REQUEST['from'])) {
            $from = htmlspecialchars($_REQUEST['from']);
        }
        if(isset($_REQUEST['to'])) {
            $to = htmlspecialchars($_REQUEST['to']);
        }
        if(isset($_REQUEST['data_mode'])) {
            $data_mode = htmlspecialchars($_REQUEST['data_mode']);
        }
        if(isset($_REQUEST['email'])) {
            $email = htmlspecialchars($_REQUEST['email']);
        }    
        else {
            $email = '';
        }
        $send_users_ch = htmlspecialchars($_REQUEST['send_users_ch']);
        $db->setQuery('SELECT user_id FROM sr_import');
        $check_exists_table = $db->loadRowList();
        if($check_exists_table) {
            if($send_users_ch == '0') {
                $send_users_ch = 'AND #__users.ID NOT IN (SELECT user_id FROM sr_import)';
            }
            else {
                $send_users_ch = '';
            }   
        }
        else {
            $send_users_ch = '';
        }
        $query = "SELECT id, username, email, registerDate FROM #__users ";
        if(isset($from) and isset($to)) {
            if(strlen($from) > 0 and strlen($to) > 0) {
                $query .= "WHERE registerDate >= '$from' AND registerDate <= '$to' AND email LIKE '%$email%' $send_users_ch ORDER BY id";
            }
        }
        else {
            if(isset($data_mode)) {
                if(strlen($data_mode) > 0) {
                    if($data_mode == 'TODAY') {
                        $query .= "WHERE registerDate = date(now()) AND email LIKE '%$email%' $send_users_ch ORDER BY id";
                    }
                    if($data_mode == 'YESTERDAY') {
                        $query .= "WHERE registerDate = DATE_SUB(CURDATE(), INTERVAL 1 DAY) AND email LIKE '%$email%' $send_users_ch ORDER BY id";
                    }
                    if($data_mode == 'WEEK') {
                        $query .= "WHERE (registerDate >= NOW()-INTERVAL 7 DAY) AND email LIKE '%$email%' $send_users_ch ORDER BY id";
                    }
                }
                else {
                    $query .= "WHERE email LIKE '%$email%' $send_users_ch ORDER BY id";
                }    
            }
        }
        if($check_exists_table) {
            if(strlen($query) == 55) {
                $query .= 'WHERE #__users.ID NOT IN (SELECT user_id FROM sr_import)';
            }
        }
        $db->setQuery($query);
        $column= $db->loadRowList();
        echo json_encode($column);    
    break;
    case 'import':
        $api_key = htmlspecialchars($_POST['api_key']);
        //Get destination
        $destination = htmlspecialchars($_POST['destination']);
        //Get nickname
        $nickname = htmlspecialchars($_POST['nickname']);
        $nickname_arr = explode(",",$nickname);
        //Get email
        $email = htmlspecialchars($_POST['email']);
        $email_arr = explode(",",$email);
        //Import
        $import_data = array();
        $import_data['service_key'] = 'NLAMBua0b45mu03FAEGKA4qvunmJh3ss';
        //$import_data['format'] = 'JSON';
        $import_data['format'] = 'xml';
        $import_data['api_key'] = $api_key;
        $import_data['action'] = 'import';
        $import_data['email_source'] = 'otherservice';
        $import_data['details'] = 'Импорт пользователей используя smartresponder plugin.';

        $subscribers = array();
        for($i = 0; $i < count($nickname_arr); $i++){
            for($i = 0; $i < count($email_arr); $i++) {
                $subscribers[] = $email_arr[$i].";".$nickname_arr[$i].";;;;;;;;;;";
            } 
        }

        $import_data['input_data'] = implode("\n", $subscribers);
        $import_data['destination'] = $destination;
        $import_data['description'] = 'Импорт пользователей используя smartresponder plugin.';
        $import_data['charset'] = 'utf-8';

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, 'http://smartresponder.ru/api/import.html');
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $import_data);
        $result = curl_exec($ch);
        $result = trim($result);
        //End import
        $tmp_result = simplexml_load_string($result);
        $result = json_encode($tmp_result);
        echo $result;
    break;
    case 'result':
        //Ключ доступа 
        $api_key = htmlspecialchars($_POST['api_key']);
        //import_key
        $import_key = htmlspecialchars($_POST['import_key']);

        //Import
        $import_data2 = array();
        $import_data2['service_key'] = '7Kq2kzooNS6hmaHuh7VCggzSvnpMmMUA';
        $import_data2['format'] = 'xml';
        $import_data2['import_key'] = $import_key;
        $import_data2['action'] = 'result';
        $import_data2['api_key'] = $api_key;

        $ch2 = curl_init();
        curl_setopt($ch2, CURLOPT_URL, 'http://smartresponder.ru/api/import.html');
        curl_setopt($ch2, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch2, CURLOPT_POST, 1);
        curl_setopt($ch2, CURLOPT_POSTFIELDS, $import_data2);
        $result2 = curl_exec($ch2);
        $result2 = trim($result2);
        $tmp_result = simplexml_load_string($result2);
        $result2 = json_encode($tmp_result);
        //End import

        echo $result2;
    break;
    case 'save_statistics_data':
        define('_JEXEC', 1);
        define('JPATH_BASE', dirname(__FILE__) . '/../../..' );
        define('DS', DIRECTORY_SEPARATOR);
        require_once(JPATH_BASE.DS.'includes'.DS.'defines.php');
        require_once(JPATH_BASE.DS.'includes'.DS.'framework.php');
        JFactory::getApplication('site')->initialise();
        $db = JFactory::getDBO();
        //Get count of import users
        $selected_number_count = htmlspecialchars($_POST['selected_number_count']);
        //Get import users id
        $import_users_id = htmlspecialchars($_POST['import_users_id']);
        //Get ticketId
        $ticket_id = htmlspecialchars($_POST['ticket_id']);

        //Сохранение в базе импортированных пользователей
        $date = date('Y-m-d H-m-s');
        $create_table_sql = 'CREATE TABLE IF NOT EXISTS sr_import (`id` int AUTO_INCREMENT PRIMARY KEY, `user_id` int NOT NULL, `import_date` datetime, `import_users_count` int, `ticket_id` VARCHAR(20) NOT NULL)';
        $db->setQuery($create_table_sql);
        $db->query();
        $import_users_id = str_replace("wp_users_","",$import_users_id);
        $import_users_id = str_replace(",", ",".$date.",".$selected_number_count.",".$ticket_id.")", $import_users_id);
        $import_users_id = str_replace(")", "), (", $import_users_id);
        $import_users_id = "(".$import_users_id.",".$date.",".$selected_number_count.",".$ticket_id.")";
        $import_users_id = str_replace("(", "('", $import_users_id);
        $import_users_id = str_replace(")", "')", $import_users_id);
        $import_users_id = str_replace(",", "','", $import_users_id);
        $import_users_id = str_replace(")','", "),", $import_users_id);
        $insert_import_users_sql = "INSERT INTO `sr_import`(`user_id`, `import_date`, `import_users_count`, `ticket_id`) VALUES $import_users_id";

        $db->setQuery($insert_import_users_sql);
        $result = $db->query();
        
        if($result) {
            echo json_encode('ok');
        }
        else { 
            echo json_encode('bad');
        }
    break;
}

?>
